using System;
using System.Windows;
using System.Windows.Media;
using SciChart.Charting.Model.DataSeries;
using SciChart.Charting.Visuals.PaletteProviders;
using SciChart.Charting.Visuals.RenderableSeries;

namespace SciChart.Examples.Examples.CreateSimpleChart
{
    public class HoverablePointFillPaletteProvider : IFillPaletteProvider
    {
        public Brush HoveredFillColor { get; set; }
        public Brush SelectedFillColor { get; set; }

        public HoverablePointFillPaletteProvider()
        {
            var myResourceDictionary = new ResourceDictionary();
            myResourceDictionary.Source =
                new Uri("ExampleResources.xaml",
                    UriKind.RelativeOrAbsolute);

            HoveredFillColor = myResourceDictionary["ExtraThemeFillGradient_2"] as Brush;
            SelectedFillColor = myResourceDictionary["SecondaryFillGradient"] as Brush;
        }

        public void OnBeginSeriesDraw(IRenderableSeries rSeries) { }

        public Brush OverrideFillBrush(IRenderableSeries rSeries, int index, IPointMetadata metadata)
        {
            Brush fillBrush = null;
            if (metadata is HoverablePointMetadata hoverablePointMetadata)
            {
                fillBrush = hoverablePointMetadata.IsSelected ?
                    SelectedFillColor :
                    hoverablePointMetadata.IsHovered ?
                        HoveredFillColor :
                        null;
            }

            return fillBrush;
        }
    }
}